Summary:    Handles user special directories
Name:       xdg-user-dirs
Version:    0.18
Release:    1%{?dist}
License:    GPLv2+ and MIT
URL:        http://freedesktop.org/wiki/Software/xdg-user-dirs
Source0:    http://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.gz

BuildRequires: make gcc gettext docbook-style-xsl libxslt
Requires:      %{_sysconfdir}/xdg/autostart

%description
Contains xdg-user-dirs-update that updates folders in a users homedirectory based on the defaults
configured by the administrator.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

cd po
touch *.po
make update-gmo

%install
%make_install

%find_lang %name

%files -f %{name}.lang
%license COPYING
%doc NEWS AUTHORS README
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.conf
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.defaults
%{_bindir}/*
%{_sysconfdir}/xdg/autostart/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 0.18-1
- Upgrade to version 0.18

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Shuo Wang <abushwang@tencent.com> - 0.17-1
- initial build

